#include "DateConvL.h"  //اضافه کردن کتابخانه به برنامه

uint16_t current_year, current_month, current_day;   //ایجاد متغیر برای دریافت زمان فعلی میلادی
DateConvL dateC;  //ایجاد شی از کلاس کتابخانه

void setup() {
  Serial.begin(9600);
  SetCurrentDate();  //دریافت تاریخ فعلی میلادی
  dateC.ToShamsi(current_year,current_month,current_day); // converts global values of date and stores them to dateC
  Serial.print(dateC.global_year, DEC);   //سال
  Serial.print('/');
  Serial.print(dateC.global_month, DEC);  //ماه
  Serial.print('/');
  Serial.print(dateC.global_day, DEC);  //روز
  Serial.println();
}

void loop() {}


/*
 * this function get current time and set date integers declared above
 * IT IS NOT A PART OF LIBRARY but used to display current shamsi date
 * come from : https://gist.github.com/djohnson001/6df673a8d7f8ac04246a
 */
String SetCurrentDate()
{
  char const *date = __DATE__;   //دریافت زمان فعلی از سیستم رایانه
  char s_month[5];  //متغیر برای ماه
  int _month, _day, _year;  //متغیر های ماه روز سال
  static const char month_names[] = "JanFebMarAprMayJunJulAugSepOctNovDec";  //ارایه جهت تعیین نام ماه
  sscanf(date, "%s %d %d", s_month, &current_day, &current_year);  //تبدیل  ماه روز سال
  current_month = ((strstr(month_names, s_month)-month_names)/3) + 1;  //محاسبه ماه فعلی
}
